-- Praktikum digitaler Schaltungsentwurf 1, Aufgabe 2
-- Datei: Test_LFSR.vhdl
--
-- Testrahmen für ein linear rückgekoppeltes Schieberegister

-- 11.01.2011, G. Kemnitz
------------------------------------------------------------

library ieee;
use ieee.std_logic_1164.all;

entity test_LFSR is  end entity;

architecture test of test_LFSR is
 constant tP: delay_length := 20 ns;
 signal I, T: std_logic;
 signal y: std_logic_vector(3 downto 0);
begin
 TestObj: entity work.LFSR port map(T=>T, I=>I, y=>y);

 Testprozess: process
 begin
  T <= '0'; I<='1', '0' after 2.7*tP;
  loop
   wait for tP/2; T <= not T; 
   if now > 0.5 us then wait; end if;
  end loop;
 end process;
end architecture;
